Bug 815529 - newlisp 10.4.0-4 not built with $RPM_OPT_FLAGS
newlisp 10.4.0-4 not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: newlisp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Owe
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-04-23 15:06 EDT by Ville Skyttä
Modified: 2012-06-25 20:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:35:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-04-23 15:06:58 EDT
newlisp 10.4.0-4 is not built with $RPM_OPT_FLAGS:

http://kojipkgs.fedoraproject.org/packages/newlisp/10.4.0/4.fc17/data/logs/x86_64/build.log

%changelog mentions "Rebuild with updated Allow-override-CFLAGS patch" but newlisp-0002-Allow-to-override-CFLAGS.patch in git/f17 is empty.
Comment 1 Fedora Update System 2012-05-04 22:24:41 EDT
newlisp-10.4.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/newlisp-10.4.2-2.fc16
Comment 2 Nathan Owe 2012-05-04 22:25:53 EDT
Also affects F16, so I have submited an updated version of newLISP and also included the needed patch.
Comment 3 Fedora Update System 2012-05-05 21:26:48 EDT
Package newlisp-10.4.2-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing newlisp-10.4.2-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7384/newlisp-10.4.2-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-11 21:11:05 EDT
newlisp-10.4.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-1.fc15
Comment 5 Fedora Update System 2012-05-11 21:18:41 EDT
newlisp-10.4.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-1.fc16
Comment 6 Fedora Update System 2012-05-11 21:26:21 EDT
newlisp-10.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-1.fc17
Comment 7 Fedora Update System 2012-05-24 19:54:42 EDT
newlisp-10.4.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-24 19:55:04 EDT
newlisp-10.4.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-26 03:09:06 EDT
newlisp-10.4.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Ville Skyttä 2012-06-01 16:34:15 EDT
Still not fixed:

http://kojipkgs.fedoraproject.org/packages/newlisp/10.4.3/2.fc18/data/logs/x86_64/build.log

See the gcc lines, no $RPM_OPT_FLAGS there.  The Allow-to-override-CFLAGS patch patches makefile_*_utf8 which are not even used by the build, the specfile uses the non-*_utf8 versions.  Same thing with the Don-t-strip-the-resulting-binary patch.

Note also that -DNEWLISP64 is missing from the 64-bit build's CFLAGS in the specfile.
Comment 11 Fedora Update System 2012-06-05 22:40:43 EDT
newlisp-10.4.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-4.fc16
Comment 12 Fedora Update System 2012-06-05 22:52:06 EDT
newlisp-10.4.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-4.fc15
Comment 13 Fedora Update System 2012-06-05 23:01:16 EDT
newlisp-10.4.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/newlisp-10.4.3-4.fc17
Comment 14 Fedora Update System 2012-06-07 18:52:27 EDT
Package newlisp-10.4.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing newlisp-10.4.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8998/newlisp-10.4.3-4.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-06-25 20:35:15 EDT
newlisp-10.4.3-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-06-25 20:46:27 EDT
newlisp-10.4.3-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-06-25 20:57:06 EDT
newlisp-10.4.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.